<?php
/**
 * Custom template tags for this theme
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package sixart
 */

/**
 *
 * sixart header
 */

function sixart_check_header() {
    $sixart_header_style = function_exists( 'get_field' ) ? get_field( 'header_style' ) : NULL;
    $sixart_default_header_style = get_theme_mod( 'choose_default_header', 'header-style-1' );

    if ( $sixart_header_style == 'header-style-1' && empty($_GET['s']) ) {
        get_template_part( 'template-parts/header/header-1' );
    }
    elseif ( $sixart_header_style == 'header-style-2' && empty($_GET['s']) ) {
        get_template_part( 'template-parts/header/header-2' );
    }
    elseif ( $sixart_header_style == 'header-style-3' && empty($_GET['s']) ) {
        get_template_part( 'template-parts/header/header-3' );
    }
    else {

        /** default header style **/
        if ( $sixart_default_header_style == 'header-style-2' ) {
            get_template_part( 'template-parts/header/header-2' );
        }
        elseif ( $sixart_default_header_style == 'header-style-3' ) {
            get_template_part( 'template-parts/header/header-3' );
        }
        else {
            get_template_part( 'template-parts/header/header-1' );
        }
    }

}
add_action( 'sixart_header_style', 'sixart_check_header', 10 );


/**
 * [sixart_header_lang description]
 * @return [type] [description]
 */
function sixart_header_lang_defualt() {
    $sixart_header_lang = get_theme_mod( 'sixart_header_lang', false );
    if ( $sixart_header_lang ): ?>

<ul>
    <li><a href="javascript:void(0)" class="lang__btn"><?php print esc_html__( 'English', 'sixart' );?> <i
                class="fa-light fa-angle-down"></i></a>
        <?php do_action( 'sixart_language' );?>
    </li>
</ul>

<?php endif;?>
<?php
}

/**
 * [sixart_language_list description]
 * @return [type] [description]
 */
function _sixart_language( $mar ) {
    return $mar;
}
function sixart_language_list() {

    $mar = '';
    $languages = apply_filters( 'wpml_active_languages', NULL, 'orderby=id&order=desc' );
    if ( !empty( $languages ) ) {
        $mar = '<ul>';
        foreach ( $languages as $lan ) {
            $active = $lan['active'] == 1 ? 'active' : '';
            $mar .= '<li class="' . $active . '"><a href="' . $lan['url'] . '">' . $lan['translated_name'] . '</a></li>';
        }
        $mar .= '</ul>';
    } else {
        //remove this code when send themeforest reviewer team
        $mar .= '<ul>';
        $mar .= '<li><a href="#">' . esc_html__( 'English', 'sixart' ) . '</a></li>';
        $mar .= '<li><a href="#">' . esc_html__( 'Bangla', 'sixart' ) . '</a></li>';
        $mar .= '<li><a href="#">' . esc_html__( 'French', 'sixart' ) . '</a></li>';
        $mar .= ' </ul>';
    }
    print _sixart_language( $mar );
}
add_action( 'sixart_language', 'sixart_language_list' );


// header logo
function sixart_header_logo() { ?>
<?php
        $sixart_logo_on = function_exists( 'get_field' ) ? get_field( 'is_enable_sec_logo' ) : NULL;
        $sixart_logo = get_template_directory_uri() . '/assets/img/logo/logo.png';
        $sixart_logo_black = get_template_directory_uri() . '/assets/img/logo/logo-white.png';

        $sixart_site_logo = get_theme_mod( 'logo', $sixart_logo );
        $sixart_secondary_logo = get_theme_mod( 'seconday_logo', $sixart_logo_black );
      ?>

<?php if ( !empty( $sixart_logo_on ) ) : ?>
<a class="secondary-logo" href="<?php print esc_url( home_url( '/' ) );?>">
    <img src="<?php print esc_url( $sixart_secondary_logo );?>" alt="<?php print esc_attr__( 'logo', 'sixart' );?>" />
</a>
<?php else : ?>
<a class="standard-logo" href="<?php print esc_url( home_url( '/' ) );?>">
    <img src="<?php print esc_url( $sixart_site_logo );?>" alt="<?php print esc_attr__( 'logo', 'sixart' );?>" />
</a>
<?php endif; ?>
<?php
}

// header logo
function sixart_header_sticky_logo() {?>
<?php
        $sixart_logo_black = get_template_directory_uri() . '/assets/img/logo/logo-black.png';
        $sixart_secondary_logo = get_theme_mod( 'seconday_logo', $sixart_logo_black );
    ?>
<a class="sticky-logo" href="<?php print esc_url( home_url( '/' ) );?>">
    <img src="<?php print esc_url( $sixart_secondary_logo );?>" alt="<?php print esc_attr__( 'logo', 'sixart' );?>" />
</a>
<?php
}

function sixart_mobile_logo() {
    // side info
    $sixart_mobile_logo_hide = get_theme_mod( 'sixart_mobile_logo_hide', false );

    $sixart_site_logo = get_theme_mod( 'logo', get_template_directory_uri() . '/assets/img/logo/logo.png' );

    ?>

<?php if ( !empty( $sixart_mobile_logo_hide ) ): ?>
<div class="side__logo mb-25">
    <a class="sideinfo-logo" href="<?php print esc_url( home_url( '/' ) );?>">
        <img src="<?php print esc_url( $sixart_site_logo );?>" alt="<?php print esc_attr__( 'logo', 'sixart' );?>" />
    </a>
</div>
<?php endif;?>



<?php }

/**
 * [sixart_header_social_profiles description]
 * @return [type] [description]
 */
function sixart_header_social_profiles() {
    $sixart_topbar_fb_url = get_theme_mod( 'sixart_topbar_fb_url', __( '#', 'sixart' ) );
    $sixart_topbar_twitter_url = get_theme_mod( 'sixart_topbar_twitter_url', __( '#', 'sixart' ) );
    $sixart_topbar_instagram_url = get_theme_mod( 'sixart_topbar_instagram_url', __( '#', 'sixart' ) );
    $sixart_topbar_youtube_url = get_theme_mod( 'sixart_topbar_youtube_url', __( '#', 'sixart' ) );
    $sixart_topbar_dribbble = get_theme_mod( 'sixart_topbar_dribbble', __( '#', 'sixart' ) );
    $sixart_topbar_behance = get_theme_mod( 'sixart_topbar_behance', __( '#', 'sixart' ) );
    ?>

<div class="tpoffcanvas__social">
    <div class="social-icon">
        <?php if ( !empty( $sixart_topbar_fb_url ) ): ?>
        <a href="<?php print esc_url( $sixart_topbar_fb_url );?>"><i class="fab fa-facebook-square"></i></a>
        <?php endif;?>

        <?php if ( !empty( $sixart_topbar_twitter_url ) ): ?>
        <a href="<?php print esc_url( $sixart_topbar_twitter_url );?>"><i class="fab fa-twitter"></i></a>
        <?php endif;?>

        <?php if ( !empty( $sixart_topbar_instagram_url ) ): ?>
        <a href="<?php print esc_url( $sixart_topbar_instagram_url );?>"><i class="fab fa-instagram"></i></a>
        <?php endif;?>

        <?php if ( !empty( $sixart_topbar_youtube_url ) ): ?>
        <a href="<?php print esc_url( $sixart_topbar_youtube_url );?>"><i class="fab fa-youtube"></i></a>
        <?php endif;?>

        <?php if ( !empty( $sixart_topbar_dribbble ) ): ?>
        <a href="<?php print esc_url( $sixart_topbar_dribbble );?>"><i class="fab fa-dribbble"></i></a>
        <?php endif;?>

        <?php if ( !empty( $sixart_topbar_behance ) ): ?>
        <a href="<?php print esc_url( $sixart_topbar_behance );?>"><i class="fab fa-behance"></i></a>
        <?php endif;?>
    </div>
</div>

<?php
}

/**
 * [sixart_header_social_profiles_2 description]
 * @return [type] [description]
 */
function sixart_header_social_profiles_2() {
    $sixart_topbar_fb_url = get_theme_mod( 'sixart_topbar_fb_url', __( '#', 'sixart' ) );
    $sixart_topbar_twitter_url = get_theme_mod( 'sixart_topbar_twitter_url', __( '#', 'sixart' ) );
    $sixart_topbar_instagram_url = get_theme_mod( 'sixart_topbar_instagram_url', __( '#', 'sixart' ) );
    $sixart_topbar_youtube_url = get_theme_mod( 'sixart_topbar_youtube_url', __( '#', 'sixart' ) );
    $sixart_topbar_dribbble = get_theme_mod( 'sixart_topbar_dribbble', __( '#', 'sixart' ) );
    $sixart_topbar_behance = get_theme_mod( 'sixart_topbar_behance', __( '#', 'sixart' ) );
    ?>

<ul>

    <?php if ( !empty( $sixart_topbar_dribbble ) ): ?>
    <li><a href="<?php print esc_url( $sixart_topbar_dribbble );?>"><img
                src="<?php echo get_template_directory_uri(); ?>/assets/img/header/dribbble.png" alt="dribbble">
            <?php echo esc_html__('Dribbble', 'sixart'); ?></a></li>
    <?php endif;?>

    <?php if ( !empty( $sixart_topbar_behance ) ): ?>
    <li><a href="<?php print esc_url( $sixart_topbar_behance );?>"><img
                src="<?php echo get_template_directory_uri(); ?>/assets/img/header/behance.png" alt="Behance">
            <?php echo esc_html__('Behance', 'sixart'); ?></a></li>
    <?php endif;?>

    <?php if ( !empty( $sixart_topbar_instagram_url ) ): ?>
    <li><a href="<?php print esc_url( $sixart_topbar_instagram_url );?>"><img
                src="<?php echo get_template_directory_uri(); ?>/assets/img/header/insta.png" alt="Instagram">
            <?php echo esc_html__('Instagram', 'sixart'); ?></a></li>
    <?php endif;?>
</ul>

<?php
}

function sixart_footer_social_profiles() {
    $sixart_footer_fb_url = get_theme_mod( 'sixart_footer_fb_url', __( '#', 'sixart' ) );
    $sixart_footer_youtube_url = get_theme_mod( 'sixart_footer_youtube_url', __( '#', 'sixart' ) );
    $sixart_footer_behance_url = get_theme_mod( 'sixart_footer_behance_url', __( '#', 'sixart' ) );
    $sixart_footer_dribbble_url = get_theme_mod( 'sixart_footer_dribbble_url', __( '#', 'sixart' ) );
    $sixart_footer_twitter_url = get_theme_mod( 'sixart_footer_twitter_url', __( '#', 'sixart' ) );
    $sixart_footer_linkedin_url = get_theme_mod( 'sixart_footer_linkedin_url', __( '#', 'sixart' ) );
    $sixart_footer_instagram_url = get_theme_mod( 'sixart_footer_instagram_url', __( '#', 'sixart' ) );

    $footer_social_switch = get_theme_mod('footer_social_switch', false);
    ?>


<?php if(!empty($footer_social_switch)) : ?>
<div class="tp-social-area social-space-bottom fix">
    <div class="container-fluid p-0">
        <div class="row g-0">
            <?php if(!empty($sixart_footer_fb_url)) : ?>
            <div class="col-lg-2 col-md-4 col-sm-6">
                <a href="<?php print esc_url( $sixart_footer_fb_url );?>">
                    <div class="tp-social-item">
                        <span><i class="fab fa-facebook-f"></i> Facebook</span>
                    </div>
                </a>
            </div>
            <?php endif; ?>

            <?php if(!empty($sixart_footer_youtube_url)) : ?>
            <div class="col-lg-2 col-md-4 col-sm-6">
                <a href="<?php print esc_url($sixart_footer_youtube_url); ?>">
                    <div class="tp-social-item tp-youtube">
                        <span><i class="fab fa-youtube"></i> youtube</span>
                    </div>
                </a>
            </div>
            <?php endif; ?>

            <?php if(!empty($sixart_footer_behance_url)) : ?>
            <div class="col-lg-2 col-md-4 col-sm-6">
                <a href="<?php print esc_url($sixart_footer_behance_url); ?>">
                    <div class="tp-social-item tp-behance">
                        <span><i class="fab fa-behance"></i> behance</span>
                    </div>
                </a>
            </div>
            <?php endif; ?>

            <?php if(!empty($sixart_footer_dribbble_url)) : ?>
            <div class="col-lg-2 col-md-4 col-sm-6">
                <a href="<?php print esc_url($sixart_footer_dribbble_url); ?>">
                    <div class="tp-social-item tp-dribble">
                        <span><i class="fab fa-dribbble"></i> dribbble</span>
                    </div>
                </a>
            </div>
            <?php endif; ?>

            <?php if(!empty($sixart_footer_twitter_url)) : ?>
            <div class="col-lg-2 col-md-4 col-sm-6">
                <a href="<?php print esc_url($sixart_footer_twitter_url); ?>">
                    <div class="tp-social-item tp-twitter">
                        <span><i class="fab fa-twitter"></i> twitter</span>
                    </div>
                </a>
            </div>
            <?php endif; ?>

            <?php if(!empty($sixart_footer_linkedin_url)) : ?>
            <div class="col-lg-2 col-md-4 col-sm-6">
                <a href="<?php print esc_url($sixart_footer_linkedin_url); ?>">
                    <div class="tp-social-item tp-linkedin">
                        <span><i class="fab fa-linkedin"></i>linkedin</span>
                    </div>
                </a>
            </div>
            <?php endif; ?>

            <?php if(!empty($sixart_footer_instagram_url)) : ?>
            <div class="col-lg-2 col-md-4 col-sm-6">
                <a href="<?php print esc_url($sixart_footer_instagram_url); ?>">
                    <div class="tp-social-item tp-youtube">
                        <span><i class="fab fa-instagram"></i>Instagram</span>
                    </div>
                </a>
            </div>
            <?php endif; ?>
        </div>
    </div>
</div>
<?php endif; ?>

<?php
}

/**
 * [sixart_header_menu description]
 * @return [type] [description]
 */
function sixart_header_menu() {
    ?>
<?php
        wp_nav_menu( [
            'theme_location' => 'main-menu',
            'menu_class'     => '',
            'container'      => '',
            'fallback_cb'    => 'Eduker_Navwalker_Class::fallback',
            'walker'         => new Eduker_Navwalker_Class,
        ] );
    ?>
<?php
}

/**
 * [sixart_header_menu description]
 * @return [type] [description]
 */
function sixart_mobile_menu() {
    ?>
<?php
        $sixart_menu = wp_nav_menu( [
            'theme_location' => 'main-menu',
            'menu_class'     => '',
            'container'      => '',
            'menu_id'        => 'mobile-menu-active',
            'echo'           => false,
        ] );

    $sixart_menu = str_replace( "menu-item-has-children", "menu-item-has-children has-children", $sixart_menu );
        echo wp_kses_post( $sixart_menu );
    ?>
<?php
}

/**
 * [sixart_search_menu description]
 * @return [type] [description]
 */
function sixart_header_search_menu() {
    ?>
<?php
        wp_nav_menu( [
            'theme_location' => 'header-search-menu',
            'menu_class'     => '',
            'container'      => '',
            'fallback_cb'    => 'Eduker_Navwalker_Class::fallback',
            'walker'         => new Eduker_Navwalker_Class,
        ] );
    ?>
<?php
}

/**
 * [sixart_footer_menu description]
 * @return [type] [description]
 */
function sixart_footer_menu() {
    wp_nav_menu( [
        'theme_location' => 'footer-menu',
        'menu_class'     => 'm-0',
        'container'      => '',
        'fallback_cb'    => 'Eduker_Navwalker_Class::fallback',
        'walker'         => new Eduker_Navwalker_Class,
    ] );
}


/**
 * [sixart_category_menu description]
 * @return [type] [description]
 */
function sixart_category_menu() {
    wp_nav_menu( [
        'theme_location' => 'category-menu',
        'menu_class'     => 'cat-submenu m-0',
        'container'      => '',
        'fallback_cb'    => 'Eduker_Navwalker_Class::fallback',
        'walker'         => new Eduker_Navwalker_Class,
    ] );
}

/**
 *
 * sixart footer
 */
add_action( 'sixart_footer_style', 'sixart_check_footer', 10 );

function sixart_check_footer() {
    $sixart_footer_style = function_exists( 'get_field' ) ? get_field( 'footer_style' ) : NULL;
    $sixart_default_footer_style = get_theme_mod( 'choose_default_footer', 'footer-style-1' );

    if ( $sixart_footer_style == 'footer-style-1' ) {
        get_template_part( 'template-parts/footer/footer-1' );
    }
    elseif ( $sixart_footer_style == 'footer-style-2' ) {
        get_template_part( 'template-parts/footer/footer-2' );
    }
    elseif ( $sixart_footer_style == 'footer-style-3' ) {
        get_template_part( 'template-parts/footer/footer-3' );
    }
    elseif ( $sixart_footer_style == 'footer-style-4' ) {
        get_template_part( 'template-parts/footer/footer-4' );
    } else {

        /** default footer style **/
        if ( $sixart_default_footer_style == 'footer-style-2' ) {
            get_template_part( 'template-parts/footer/footer-2' );
        }
        elseif ( $sixart_default_footer_style == 'footer-style-3' ) {
            get_template_part( 'template-parts/footer/footer-3' );
        }
        elseif ( $sixart_default_footer_style == 'footer-style-4' ) {
            get_template_part( 'template-parts/footer/footer-4' );
        }
        else {
            get_template_part( 'template-parts/footer/footer-1' );
        }

    }
}

// sixart_copyright_text
function sixart_copyright_text() {
   print get_theme_mod( 'sixart_copyright', esc_html__( '© 2022 Sixart, All Rights Reserved. Design By Themeim', 'sixart' ) );
}



/**
 *
 * pagination
 */
if ( !function_exists( 'sixart_pagination' ) ) {

    function _sixart_pagi_callback( $pagination ) {
        return $pagination;
    }

    //page navegation
    function sixart_pagination( $prev, $next, $pages, $args ) {
        global $wp_query, $wp_rewrite;
        $menu = '';
        $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;

        if ( $pages == '' ) {
            global $wp_query;
            $pages = $wp_query->max_num_pages;

            if ( !$pages ) {
                $pages = 1;
            }

        }

        $pagination = [
            'base'      => add_query_arg( 'paged', '%#%' ),
            'format'    => '',
            'total'     => $pages,
            'current'   => $current,
            'prev_text' => $prev,
            'next_text' => $next,
            'type'      => 'array',
        ];

        //rewrite permalinks
        if ( $wp_rewrite->using_permalinks() ) {
            $pagination['base'] = user_trailingslashit( trailingslashit( remove_query_arg( 's', get_pagenum_link( 1 ) ) ) . 'page/%#%/', 'paged' );
        }

        if ( !empty( $wp_query->query_vars['s'] ) ) {
            $pagination['add_args'] = ['s' => get_query_var( 's' )];
        }

        $pagi = '';
        if ( paginate_links( $pagination ) != '' ) {
            $paginations = paginate_links( $pagination );
            $pagi .= '<ul>';
            foreach ( $paginations as $key => $pg ) {
                $pagi .= '<li>' . $pg . '</li>';
            }
            $pagi .= '</ul>';
        }

        print _sixart_pagi_callback( $pagi );
    }
}


// header top bg color
function sixart_breadcrumb_bg_color() {
    $color_code = get_theme_mod( 'sixart_breadcrumb_bg_color', '#222' );
    wp_enqueue_style( 'sixart-custom', SIXART_THEME_CSS_DIR . 'sixart-custom.css', [] );
    if ( $color_code != '' ) {
        $custom_css = '';
        $custom_css .= ".breadcrumb-bg.gray-bg{ background: " . $color_code . "}";

        wp_add_inline_style( 'sixart-breadcrumb-bg', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'sixart_breadcrumb_bg_color' );

// breadcrumb-spacing top
function sixart_breadcrumb_spacing() {
    $padding_px = get_theme_mod( 'sixart_breadcrumb_spacing', '160px' );
    wp_enqueue_style( 'sixart-custom', SIXART_THEME_CSS_DIR . 'sixart-custom.css', [] );
    if ( $padding_px != '' ) {
        $custom_css = '';
        $custom_css .= ".breadcrumb-spacing{ padding-top: " . $padding_px . "}";

        wp_add_inline_style( 'sixart-breadcrumb-top-spacing', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'sixart_breadcrumb_spacing' );

// breadcrumb-spacing bottom
function sixart_breadcrumb_bottom_spacing() {
    $padding_px = get_theme_mod( 'sixart_breadcrumb_bottom_spacing', '160px' );
    wp_enqueue_style( 'sixart-custom', SIXART_THEME_CSS_DIR . 'sixart-custom.css', [] );
    if ( $padding_px != '' ) {
        $custom_css = '';
        $custom_css .= ".breadcrumb-spacing{ padding-bottom: " . $padding_px . "}";

        wp_add_inline_style( 'sixart-breadcrumb-bottom-spacing', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'sixart_breadcrumb_bottom_spacing' );

// scrollup
function sixart_scrollup_switch() {
    $scrollup_switch = get_theme_mod( 'sixart_scrollup_switch', false );
    wp_enqueue_style( 'sixart-custom', SIXART_THEME_CSS_DIR . 'sixart-custom.css', [] );
    if ( $scrollup_switch ) {
        $custom_css = '';
        $custom_css .= "#scrollUp{ display: none !important;}";

        wp_add_inline_style( 'sixart-scrollup-switch', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'sixart_scrollup_switch' );

// theme color
function sixart_custom_color() {
    $color_code = get_theme_mod( 'sixart_color_option', '#2b4eff' );
    wp_enqueue_style( 'sixart-custom', SIXART_THEME_CSS_DIR . 'sixart-custom.css', [] );
    if ( $color_code != '' ) {
        $custom_css = '';
        $custom_css .= ".demo-class { background-color: " . $color_code . "}";

        $custom_css .= ".demo-class { color: " . $color_code . "}";

        $custom_css .= ".demo-class { border-color: " . $color_code . "}";
        $custom_css .= ".demo-class { border-left-color: " . $color_code . "}";
        $custom_css .= ".demo-class { stroke: " . $color_code . "}";
        $custom_css .= ".demo-class { border-color: " . $color_code . "}";
        wp_add_inline_style( 'sixart-custom', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'sixart_custom_color' );


// theme color
function sixart_custom_color_primary() {
    $color_code = get_theme_mod( 'sixart_color_option_2', '#f2277e' );
    wp_enqueue_style( 'sixart-custom', SIXART_THEME_CSS_DIR . 'sixart-custom.css', [] );
    if ( $color_code != '' ) {
        $custom_css = '';
        $custom_css .= ".demo-class { background-color: " . $color_code . "}";

        $custom_css .= ".demo-class { color: " . $color_code . "}";

        $custom_css .= ".demo-class { border-left-color: " . $color_code . "}";
        wp_add_inline_style( 'sixart-custom', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'sixart_custom_color_primary' );

// theme color
function sixart_custom_color_scrollup() {
    $color_code = get_theme_mod( 'sixart_color_scrollup', '#2b4eff' );
    wp_enqueue_style( 'sixart-custom', SIXART_THEME_CSS_DIR . 'sixart-custom.css', [] );
    if ( $color_code != '' ) {
        $custom_css = '';
        $custom_css .= ".demo-class { color: " . $color_code . "}";
        $custom_css .= ".demo-class { stroke: " . $color_code . "}";
        wp_add_inline_style( 'sixart-custom', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'sixart_custom_color_scrollup' );

// theme color
function sixart_custom_color_secondary() {
    $color_code = get_theme_mod( 'sixart_color_option_3', '#30a820' );
    wp_enqueue_style( 'sixart-custom', SIXART_THEME_CSS_DIR . 'sixart-custom.css', [] );
    if ( $color_code != '' ) {
        $custom_css = '';
        $custom_css .= ".demo-class { background-color: " . $color_code . "}";

        $custom_css .= ".demo-class { color: " . $color_code . "}";

        $custom_css .= ".asdf { border-color: " . $color_code . "}";
        wp_add_inline_style( 'sixart-custom', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'sixart_custom_color_secondary' );

// theme color
function sixart_custom_color_secondary_2() {
    $color_code = get_theme_mod( 'sixart_color_option_3_2', '#ffb352' );
    wp_enqueue_style( 'sixart-custom', SIXART_THEME_CSS_DIR . 'sixart-custom.css', [] );
    if ( $color_code != '' ) {
        $custom_css = '';
        $custom_css .= ".demo-class { background-color: " . $color_code . "}";

        $custom_css .= ".demo-class { color: " . $color_code . "}";

        $custom_css .= ".demo-class { border-color: " . $color_code . "}";
        wp_add_inline_style( 'sixart-custom', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'sixart_custom_color_secondary_2' );


// sixart_kses_intermediate
function sixart_kses_intermediate( $string = '' ) {
    return wp_kses( $string, sixart_get_allowed_html_tags( 'intermediate' ) );
}

function sixart_get_allowed_html_tags( $level = 'basic' ) {
    $allowed_html = [
        'b'      => [],
        'i'      => [],
        'u'      => [],
        'em'     => [],
        'br'     => [],
        'abbr'   => [
            'title' => [],
        ],
        'span'   => [
            'class' => [],
        ],
        'strong' => [],
        'a'      => [
            'href'  => [],
            'title' => [],
            'class' => [],
            'id'    => [],
        ],
    ];

    if ($level === 'intermediate') {
        $allowed_html['a'] = [
            'href' => [],
            'title' => [],
            'class' => [],
            'id' => [],
        ];
        $allowed_html['div'] = [
            'class' => [],
            'id' => [],
        ];
        $allowed_html['img'] = [
            'src' => [],
            'class' => [],
            'alt' => [],
        ];
        $allowed_html['del'] = [
            'class' => [],
        ];
        $allowed_html['ins'] = [
            'class' => [],
        ];
        $allowed_html['bdi'] = [
            'class' => [],
        ];
        $allowed_html['i'] = [
            'class' => [],
            'data-rating-value' => [],
        ];
    }

    return $allowed_html;
}



// WP kses allowed tags
// ----------------------------------------------------------------------------------------
function sixart_kses($raw){

   $allowed_tags = array(
      'a'                         => array(
         'class'   => array(),
         'href'    => array(),
         'rel'  => array(),
         'title'   => array(),
         'target' => array(),
      ),
      'abbr'                      => array(
         'title' => array(),
      ),
      'b'                         => array(),
      'blockquote'                => array(
         'cite' => array(),
      ),
      'cite'                      => array(
         'title' => array(),
      ),
      'code'                      => array(),
      'del'                    => array(
         'datetime'   => array(),
         'title'      => array(),
      ),
      'dd'                     => array(),
      'div'                    => array(
         'class'   => array(),
         'title'   => array(),
         'style'   => array(),
      ),
      'dl'                     => array(),
      'dt'                     => array(),
      'em'                     => array(),
      'h1'                     => array(),
      'h2'                     => array(),
      'h3'                     => array(),
      'h4'                     => array(),
      'h5'                     => array(),
      'h6'                     => array(),
      'i'                         => array(
         'class' => array(),
      ),
      'img'                    => array(
         'alt'  => array(),
         'class'   => array(),
         'height' => array(),
         'src'  => array(),
         'width'   => array(),
      ),
      'li'                     => array(
         'class' => array(),
      ),
      'ol'                     => array(
         'class' => array(),
      ),
      'p'                         => array(
         'class' => array(),
      ),
      'q'                         => array(
         'cite'    => array(),
         'title'   => array(),
      ),
      'span'                      => array(
         'class'   => array(),
         'title'   => array(),
         'style'   => array(),
      ),
      'iframe'                 => array(
         'width'         => array(),
         'height'     => array(),
         'scrolling'     => array(),
         'frameborder'   => array(),
         'allow'         => array(),
         'src'        => array(),
      ),
      'strike'                 => array(),
      'br'                     => array(),
      'strong'                 => array(),
      'data-wow-duration'            => array(),
      'data-wow-delay'            => array(),
      'data-wallpaper-options'       => array(),
      'data-stellar-background-ratio'   => array(),
      'ul'                     => array(
         'class' => array(),
      ),
      'svg' => array(
           'class' => true,
           'aria-hidden' => true,
           'aria-labelledby' => true,
           'role' => true,
           'xmlns' => true,
           'width' => true,
           'height' => true,
           'viewbox' => true, // <= Must be lower case!
       ),
       'g'     => array( 'fill' => true ),
       'title' => array( 'title' => true ),
       'path'  => array( 'd' => true, 'fill' => true,  ),
      );

   if (function_exists('wp_kses')) { // WP is here
      $allowed = wp_kses($raw, $allowed_tags);
   } else {
      $allowed = $raw;
   }

   return $allowed;
}

/* This code filters the Archive widget to include the post count inside the link */
add_filter( 'get_archives_link', 'sixart_archive_count_span' );
function sixart_archive_count_span( $links ) {
    $links = str_replace('</a>&nbsp;(', '<span > (', $links);
    $links = str_replace(')', ')</span></a> ', $links);
    return $links;
}


/* This code filters the Category widget to include the post count inside the link */
add_filter('wp_list_categories', 'sixart_cat_count_span');
function sixart_cat_count_span($links) {
  $links = str_replace('</a> (', '<span> (', $links);
  $links = str_replace(')', ')</span></a>', $links);
  return $links;
}