<?php 

	/**
	 * Template part for displaying header layout two
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
	 *
	 * @package sixart
	*/

	// info
    $sixart_topbar_switch = get_theme_mod( 'sixart_topbar_switch', false );
    $sixart_mail_id = get_theme_mod( 'sixart_mail_id', __( 'info@educal.com', 'sixart' ) );
    $sixart_address = get_theme_mod( 'sixart_address', __( 'Moon ave, New York, 2020 NY US', 'sixart' ) );
    $sixart_address_url = get_theme_mod( 'sixart_address_url', __( 'https://goo.gl/maps/qzqY2PAcQwUz1BYN9', 'sixart' ) );

    // contact button
	$sixart_button_text = get_theme_mod( 'sixart_button_text', __( 'Get In Touch', 'sixart' ) );
    $sixart_button_link = get_theme_mod( 'sixart_button_link', __( '#', 'sixart' ) );

    // acc button
	$sixart_acc_button_text = get_theme_mod( 'sixart_acc_button_text', __( 'Login', 'sixart' ) );
    $sixart_acc_button_link = get_theme_mod( 'sixart_acc_button_link', __( '#', 'sixart' ) );

    // header right
    $sixart_search = get_theme_mod( 'sixart_search', false );
    $sixart_mini_cart = get_theme_mod( 'sixart_mini_cart', false );
    $sixart_side_hide = get_theme_mod( 'sixart_side_hide', false );
    $sixart_header_right = get_theme_mod( 'sixart_header_right', false );
    $sixart_menu_col = $sixart_header_right ? 'col-xxl-7 col-xl-7 col-lg-8 d-none d-lg-block' : 'col-xxl-10 col-xl-10 col-lg-9 d-none d-lg-block text-end';

?>


<header>
    <!-- tp-header-area-start -->
    <div id="header-sticky" class="tp-header-area tp-header-black-sticky header-pl-pr header-transparent z-index-5">
        <div class="container-fluid">
            <div class="row g-0 align-items-center">
                <div class="col-xl-2 col-lg-6 col-md-5 col-6">
                    <div class="tp-logo">
                        <?php sixart_header_logo(); ?>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end d-none d-xl-block">
                    <div class="tp-main-menu tp-white-menu submenu-2">
                        <nav id="mobile-menu">
                           <?php sixart_header_menu();?>
                        </nav>
                    </div>
                </div>
                <div class="col-xl-4 col-lg-6 col-md-7 col-6">
                  <?php if(!empty($sixart_header_right)) : ?>
                    <div class="header-right-two d-flex align-items-center justify-content-end">

                        <?php if(!empty($sixart_search)) : ?>
                        <div class="search-wrapper">
                            <a class="tp-search-box tp-search d-none d-md-block" href="javascript:void(0)"><i
                                    class="tp-search-toggle fal fa-search"></i><i
                                    class="search-close  far fa-times"></i></a>
                              <?php sixart_search_form_2(); ?>
                        </div>
                        <?php endif; ?>

                        <?php if(!empty($sixart_mini_cart) && class_exists( 'WooCommerce' )) : ?>
                        <div class="p-relative minicart-box ede-shop-cart">
                            <a class="tp-shopping-bskt d-none d-md-block" href="<?php echo wc_get_cart_url(); ?>"><i class="fal fa-shopping-basket"></i><span id="tp-cart-item" class="cart__count"><?php echo esc_html(WC()->cart->cart_contents_count); ?></span></a>
                            <div class="mini_shopping_cart_box"><?php woocommerce_mini_cart(); ?></div>
                        </div>
                        <?php endif; ?>

                        <?php if(!empty($sixart_button_text)) : ?>
                        <a class="tp-btn-border d-none d-xl-block" href="<?php echo esc_url($sixart_button_link); ?>"><?php echo sixart_kses($sixart_button_text); ?></a>
                        <?php endif; ?>
                        <a class="bars d-xl-none tp-menu-bar ml-50" href="javascript:void(0)"><i
                                class="fa fa-bars"></i></a>
                    </div>
                    <?php endif; ?>
                     
                    <?php if(empty($sixart_header_right)) : ?>
                    <div class="header-right-two d-xl-none d-flex align-items-center justify-content-end">
                        <a class="bars tp-menu-bar ml-50" href="javascript:void(0)"><i
                                class="fa fa-bars"></i></a>
                    </div>
                    <?php endif; ?>

                </div>
            </div>
        </div>
    </div>
    <!-- tp-header-area-end -->
</header>



<?php get_template_part( 'template-parts/header/header-side-info' ); ?>